Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.factory
[Groovy] Class ButtonGroupFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory
              groovy.swing.factory.ButtonGroupFactory

    class ButtonGroupFactory
    extends BeanFactory

Created by IntelliJ IDEA. User: Danno.Ferrin Date: Jul 11, 2008 Time: 9:08:24 PM To change this template use File | Settings | File Templates.

Field Summary
`static java.lang.String` | `DEFAULT_DELEGATE_PROPERTY_BUTTON_GROUP`
`static java.lang.String` | `DELEGATE_PROPERTY_BUTTON_GROUP`

Fields inherited from class BeanFactory
leaf

Constructor Summary
`ButtonGroupFactory()`

Method Summary
`static java.lang.Object` | `buttonGroupAttributeDelegate(java.lang.Object builder, java.lang.Object node, java.lang.Object attributes)`
`java.lang.Object` | `newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)`

Methods inherited from class BeanFactory
isLeaf, newInstance

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### DEFAULT_DELEGATE_PROPERTY_BUTTON_GROUP

    public static final java.lang.String DEFAULT_DELEGATE_PROPERTY_BUTTON_GROUP

### DELEGATE_PROPERTY_BUTTON_GROUP

    public static final java.lang.String DELEGATE_PROPERTY_BUTTON_GROUP

Constructor Detail

### ButtonGroupFactory

    ButtonGroupFactory()

Method Detail

### buttonGroupAttributeDelegate

    static java.lang.Object buttonGroupAttributeDelegate(java.lang.Object builder, java.lang.Object node, java.lang.Object attributes)

### newInstance

    java.lang.Object newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)

Groovy Documentation